=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = $(shell dh_listpackages)

ifndef PERL
    PERL = /usr/bin/perl
endif

TMP = $(CURDIR)/debian/$(PACKAGE)

BUILD = ./Build

build: build-stamp
build-stamp:
	dh_testdir
	$(PERL) Build.PL installdirs=vendor
	$(BUILD)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	-$(BUILD) distclean
	dh_clean build-stamp install-stamp

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	
	$(BUILD) test
	$(BUILD) install destdir=$(TMP)
	
	# Don't package the unofficial USM logger module:
	rm -f $(TMP)/usr/share/courier-filter-perl/perl5/Courier/Filter/Logger/USM.pm
	
	# Special manpage handling for bin/pureperlfilter:
	mkdir -p $(TMP)/usr/share/man/man8
	pod2man -s8p bin/pureperlfilter $(TMP)/usr/share/man/man8/pureperlfilter.8p
	
	touch install-stamp

# Build architecture-independent files here:
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs README TODO
	dh_installchangelogs CHANGES
	dh_installexamples -XCVS examples/*
	#dh_installman
	dh_install
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here:
binary-arch:
	# Nothing to do.

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install
