## courier-filter-perl 0.200+ds

=== debian/changelog ===
courier-filter-perl (0.200+ds-4) unstable; urgency=medium

  * Disable autopkgtest's use.t test. The modules are in a private path,
    so trying to use them directly fails. (Closes: #806543)
  * Update years of packaging copyright.
  * Bump debhelper compatibility level to 9.

 -- gregor herrmann <gregoa@debian.org>  Sat, 28 Nov 2015 19:12:57 +0100

courier-filter-perl (0.200+ds-3) unstable; urgency=medium

  * Team upload

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

 -- Damyan Ivanov <dmn@debian.org>  Sat, 06 Jun 2015 15:36:29 +0000

courier-filter-perl (0.200+ds-2) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ gregor herrmann ]
  * Update debian/repack.stub.
  * Install sample config to /usr/share/courier-filter-perl and use this
    location in the postinst. Thanks to Andreas Beckmann for the bug
    report. (Closes: #710416)
  * debian/copyright: switch formatting to Copyright-Format 1.0. Update
    years of packaging copyright. Add info about debian/repack.stub.
  * Set Standards-Version to 3.9.4 (no changes).

 -- gregor herrmann <gregoa@debian.org>  Fri, 31 May 2013 01:07:05 +0200

courier-filter-perl (0.200+ds-1) unstable; urgency=low

  * Take over for the Debian Perl Group on request of the MIA team.
  * debian/control: Added: Vcs-Git field (source stanza); Vcs-Browser
    field (source stanza); Homepage field (source stanza);
    ${misc:Depends} to Depends: field. Changed: Maintainer set to Debian
    Perl Group <pkg-perl-maintainers@lists.alioth.debian.org> (was:
    Julian Mehnle <julian@mehnle.net>).
  * Add debian/watch.
  * Switch to "3.0 (quilt)" source format.
  * Switch to debhelper compatibility level 8, use tiny debian/rules.
  * Explicitly "set -e" in maintainer scripts.
  * Make package non-native, and add repackaging framework to remove debian
    dir/ shipped in upstream tarball.
  * Add a patch to fix a POD glitch.
  * debian/copyright: use DEP5 formatting.
  * Add /me to Uploaders.
  * Bump Standards-Version to 3.9.2 (no changes); remove version from perl
    build dependency.
  * Remove version from packages in Recommends that are already satisfied
    in oldstable.

 -- gregor herrmann <gregoa@debian.org>  Tue, 27 Dec 2011 20:55:35 +0100

courier-filter-perl (0.200) unstable; urgency=low

  Debian:
  + New upstream version.                                     (Closes: #344173)
  + Automatically start and stop courier-filter-perl using Courier's
    `filterctl` post-installation and pre-removal, respectively.
  ! "courier-filter-perl.conf" (previously "pureperlfilter.conf") config file
    is no longer a conffile managed by dpkg.  Migrate seamlessly.
  ! Install courier-filter-perl executable into /usr/lib/courier/filters/
    rather than /usr/lib/.
  > control:
    * Section: mail (was: perl)
    * Standards-Version: 3.7.3
    * Raised debhelper compat level to 5 / Build-Depends: debhelper (>= 5)
    * Build-Depends: debhelper (was: Build-Depends-Indep:)
    * Removed Build-Depends-Indep: libtest-simple-perl (now provided by
      perl-modules)
    * Recommends: libmail-spf-perl (was: libmail-spf-query-perl)
    * Recommends: libnet-rblclient-perl, libclamav-client-perl (was: Suggests:)
    * Removed Recommends: libdigest-md5-perl (now provided by perl)
    * Removed Recommends: libnet-dns-perl (unused)
    * Suggests: libnet-address-ip-local-perl
      (was: libnet-address-ipv4-local-perl)
  > rules:
    * Run `$(BUILD) distclean` only if $(BUILD) actually exists.

  Courier::Filter:
  ! Config file has been renamed to "courier-filter-perl.conf" from
    "pureperlfilter.conf".

  Courier::Message:
  * Fixed a bug that caused crashes when encountering invalid (e.g., non-ASCII)
    characters in raw MIME encoded words.
  * Fixed fallback decoding of raw message headers from non-ASCII, non-UTF-8
    encodings such as ISO-8859-1.  Previously, any non-UTF-8 byte sequences
    would be decoded as the "�" Unicode substitution character.  Now this
    case properly falls back to reinterpreting the entire header as Windows-
    1252.
    Note:  In the absence of the experimental "UTF8SMTP" SMTP extension,
    non-ASCII characters are formally illegal in raw message headers, so this
    really only affects exceptional cases.
  * Eliminated some corner case "Use of uninitialized value" warnings.

  Courier::Config:
  * Lower-cased and slightly adjusted constant/method names.  Compatibility
    aliases for the old names are provided.
  + Added courier_executable() and courier_version() methods.  See man-page.

  Courier::Util:
  + Added as a utility module for use by other modules of the Courier::Filter
    framework.

  Courier::Filter::Module:
  + Added warn() method for writing warning messages to syslog.

  DNSBL filter module:
  * Ignore messages received via IPv4/IPv6 loopback addresses (i.e., self
    submissions).

  SPF filter module:
  * Use Mail::SPF instead of the old Mail::SPF::Query.  Added new "spf_options"
    option with options for Mail::SPF::Server.
  + The switch to Mail::SPF brings IPv6 support!
  + Support both MAIL FROM and HELO checks separately.
  ! Deprecated "fallback_guess" and "trusted_forwarders" options in favor of
    the "default_policy" and "tfwl" keys to the "spf_options" option.  The old
    options induce a warning when specified but are still supported for now.
    Due to the move from the obsolete Mail::SPF::Query module to the Mail::SPF,
    the (yet unreleased) Mail::SPF::BlackMagic extension module is now required
    when using these non-standard options.
  ! Deprecated the "unknown" and "error" SPF result codes in favor of the new
    "permerror" and "temperror" ones defined in RFC 4408.  The old result codes
    induce a warning when specified in the "match_on" option but are still

