=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)

%:
	dh $@

override_dh_auto_install:
	dh_auto_install

	# Special manpage handling for bin/courier-filter-perl:
	pod2man -s8p bin/courier-filter-perl $(TMP)/usr/share/man/man8/courier-filter-perl.8p

override_dh_perl:
	dh_perl /usr/bin /usr/lib /usr/share/courier-filter-perl/perl5
