=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds// \
https://metacpan.org/release/Courier-Filter  .+/Courier-Filter-v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$ \
debian sh debian/repack.stub
